---
- name: Check if docker service exists
  service_facts:

- name: Install Docker if not installed
  import_role:
    name: docker
  when: docker.service in services

- name: Provision Server
  include: provision.yml

- name: Deploy Gitlab
  include: deploy.yml
